List fixed assets
curl --request GET \
--url https://app.equated.co/api/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.equated.co/api/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.equated.co/api/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.equated.co/api/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.equated.co/api/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.equated.co/api/assets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.equated.co/api/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assets": [
{
"id": 1,
"name": "<string>",
"status": "ACTIVE",
"category": "<string>",
"emoji": "<string>",
"acquisitionDate": "<string>",
"bookInServiceDate": "<string>",
"bookCostBasisBase": "<string>",
"quantity": 1,
"unitsLeft": 1,
"costLeftBase": "<string>",
"bookMethod": "STRAIGHT_LINE",
"bookRemainingLifeMonths": 1,
"bookResidualValueBase": "<string>",
"bookDecliningAnnualRate": "<string>",
"accumulatedDepreciationBase": "<string>",
"netBookValueBase": "<string>",
"monthlyDepreciationBase": "<string>",
"acquisitionTransactionId": 1,
"acquisitionTransactionLabel": "<string>",
"acquisitionLogoUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"postings": [
{
"id": 1,
"journalEntryId": 1,
"effectiveAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "DRAFT",
"source": "<string>",
"accountId": 1,
"accountName": "<string>",
"amountBase": "<string>",
"role": "ACQUISITION"
}
],
"disposals": [
{
"id": 1,
"units": 1,
"disposedOn": "<string>",
"proceedsBase": "<string>",
"costRemovedBase": "<string>",
"depreciationRemovedBase": "<string>",
"depreciationTakenBackBase": "<string>",
"gainLossBase": "<string>",
"transactionId": 1,
"journalEntryId": 1
}
],
"schedule": [
{
"period": "2023-12-25",
"amountBase": "<string>",
"closingNbvBase": "<string>",
"status": "POSTED",
"journalEntryId": 1
}
]
}
]
}Assets
List fixed assets
GET
/
api
/
assets
List fixed assets
curl --request GET \
--url https://app.equated.co/api/assets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.equated.co/api/assets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.equated.co/api/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.equated.co/api/assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.equated.co/api/assets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.equated.co/api/assets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.equated.co/api/assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assets": [
{
"id": 1,
"name": "<string>",
"status": "ACTIVE",
"category": "<string>",
"emoji": "<string>",
"acquisitionDate": "<string>",
"bookInServiceDate": "<string>",
"bookCostBasisBase": "<string>",
"quantity": 1,
"unitsLeft": 1,
"costLeftBase": "<string>",
"bookMethod": "STRAIGHT_LINE",
"bookRemainingLifeMonths": 1,
"bookResidualValueBase": "<string>",
"bookDecliningAnnualRate": "<string>",
"accumulatedDepreciationBase": "<string>",
"netBookValueBase": "<string>",
"monthlyDepreciationBase": "<string>",
"acquisitionTransactionId": 1,
"acquisitionTransactionLabel": "<string>",
"acquisitionLogoUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"postings": [
{
"id": 1,
"journalEntryId": 1,
"effectiveAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"status": "DRAFT",
"source": "<string>",
"accountId": 1,
"accountName": "<string>",
"amountBase": "<string>",
"role": "ACQUISITION"
}
],
"disposals": [
{
"id": 1,
"units": 1,
"disposedOn": "<string>",
"proceedsBase": "<string>",
"costRemovedBase": "<string>",
"depreciationRemovedBase": "<string>",
"depreciationTakenBackBase": "<string>",
"gainLossBase": "<string>",
"transactionId": 1,
"journalEntryId": 1
}
],
"schedule": [
{
"period": "2023-12-25",
"amountBase": "<string>",
"closingNbvBase": "<string>",
"status": "POSTED",
"journalEntryId": 1
}
]
}
]
}